Get a client
GET
/partner/clients/{client_id}
const url = 'https://api.europlaybook.com/v1/partner/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.europlaybook.com/v1/partner/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'client_id is the client’s account id. 404 when it is not a live client of your partner.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”client_id
required
Client Id
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
ClientOut
object
id
required
Id
The client’s account id (send it as EuroPlaybook-Account)
string format: uuid
account_id
required
Account Id
string format: uuid
name
required
Name
string
status
required
Status
Invited = the owner has not accepted yet; active = joined
string
owner_email
required
Owner Email
string
owner_joined
required
Owner Joined
boolean
created_at
required
Created At
string format: date-time
company
Any of:
ClientCompanyOut
object
name
required
Name
string
country
required
Country
string
null
owner_invite
Any of:
OwnerInviteOut
object
email
required
Email
string
sent_at
required
Sent At
string format: date-time
expires_at
required
Expires At
string format: date-time
expired
required
Expired
boolean
null
Example
{ "status": "invited"}Bad Request
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Unauthorized
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Forbidden
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Not Found
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Conflict
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}Unprocessable Content
Media typeapplication/json
PublicValidationErrorOut
object
detail
required
Detail
What went wrong, in English, for people and logs.
string
code
required
Code
Stable machine-readable error code; translate and branch on this.
string
errors
Errors
Per-field problems (pydantic format: loc, msg, type).
Array<object>
object
key
additional properties
any
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }, "errors": []}Too Many Requests
Media typeapplication/json
PublicErrorOut
object
Example
{ "detail": "This API key lacks the scope catalogue:write", "code": "insufficient_scope", "params": { "required_scope": "catalogue:write" }}